import 'package:get/get.dart';
import 'package:sigap/src/features/auth/presentasion/controllers/email-verification/email_verification_controller.dart';
import 'package:sigap/src/features/auth/presentasion/controllers/forgot-password/forgot_password_controller.dart';
import 'package:sigap/src/features/auth/presentasion/controllers/signin/signin_controller.dart';
import 'package:sigap/src/features/auth/presentasion/controllers/signup/main/registration_form_controller.dart';
import 'package:sigap/src/features/auth/presentasion/controllers/signup/main/signup_with_role_controller.dart';

class AuthControllerBindings extends Bindings {
  @override
  void dependencies() {
    // Register all feature auth controllers
    Get.lazyPut(() => SignInController(), fenix: true);
    Get.lazyPut(() => SignupWithRoleController(), fenix: true);
    Get.lazyPut(() => FormRegistrationController(), fenix: true);
    Get.lazyPut(() => EmailVerificationController(), fenix: true);
    Get.lazyPut(() => ForgotPasswordController(), fenix: true);
  }
}
